Google 沉浸式产品 详细信息 API
API 健康状态
健康 可用 受限 大多不可用 无数据
正在加载健康状态...
获取 Google 沉浸式产品数据,包括功能、规格和卖家信息,用于产品研究和销售分析。
标签: Google 沉浸式产品
请求参数
| 名称 | 必填 | 类型 | 默认值 | 说明 |
|---|---|---|---|---|
page_token | 是 | string | 用于在 Google 沉浸式视图中检索详细产品信息的唯一令牌。该令牌通常出现在 Google 购物或搜索结果中。 | |
stores | 否 | boolean | false | 如果设置为 true,API 将检索产品的更多卖家列表。请与 'sori' 参数一起使用。 |
sori | 否 | integer | 卖家结果的分页偏移量。将其设置为已检索的卖家数量,以获取下一组结果。 | |
country | 否 | string | us | 设置目标国家代码(例如 'us'、'uk')以本地化结果。请参阅 Google 国家/地区。 |
language | 否 | string | en | 使用其两位字母代码设置结果语言(例如 'en' 表示英语,'fr' 表示法语)。请参阅 Google 语言。 |
复制请求
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/immersive/product?page_token=YOUR_VALUE" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/immersive/product?page_token=YOUR_VALUE", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/immersive/product"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"page_token": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/immersive/product?page_token=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/immersive/product?page_token=YOUR_VALUE", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}响应
正在加载最新响应示例...
